/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.ibatis.message;

/**
 * BlancoIBatis のメッセージ。
 */
public class BlancoIBatisMessage {
    /**
     * メッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final BlancoIBatisMessageResourceBundle fBundle = new BlancoIBatisMessageResourceBundle();

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRI01]の文字列を取得します。
     *
     * No.2:
     * 文字列[指定された sourcedir [{0}] は存在しません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbibri01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibri01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRI01] " + fBundle.getMbibri01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRI02]の文字列を取得します。
     *
     * No.3:
     * 文字列[指定された sourcedir [{0}] はディレクトリではありません。]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbibri02(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibri02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRI02] " + fBundle.getMbibri02(arg0);
    }

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRP01]の文字列を取得します。
     *
     * No.5:
     * 文字列[設定された値によるデータベース接続に失敗しました。: {0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @return メッセージ文字列。
     */
    public String getMbibrp01(final String arg0) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp01]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRP01] " + fBundle.getMbibrp01(arg0);
    }

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRP02]の文字列を取得します。
     *
     * No.6:
     * 文字列[sqlMap [{0}] を読み込み時に NodeletException (XML) 例外が発生しました。この例外は、XML の記述内容の問題や、XML 内に記述されたクラスを解決できない状況を示していることが多いです。: {1}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @return メッセージ文字列。
     */
    public String getMbibrp02(final String arg0, final String arg1) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp02]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp02]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRP02] " + fBundle.getMbibrp02(arg0, arg1);
    }

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRP03]の文字列を取得します。
     *
     * No.7:
     * 文字列[sqlMap [{0}]、id [{1}] の処理中に SQL 例外が発生しました。この例外は、SQL の記述内容の問題を示していることが多いです。: {2}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @return メッセージ文字列。
     */
    public String getMbibrp03(final String arg0, final String arg1, final String arg2) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp03]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp03]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp03]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRP03] " + fBundle.getMbibrp03(arg0, arg1, arg2);
    }

    /**
     * メッセージ定義ID[BlancoIBatis]、キー[MBIBRP04]の文字列を取得します。
     *
     * No.8:
     * 文字列[sqlMap [{0}]、id [{1}] の処理中に ProbeExceptoin 例外が発生しました。この例外は、動的 SQL パラメータを処理できない場合を示していることが多いです。: {2}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @return メッセージ文字列。
     */
    public String getMbibrp04(final String arg0, final String arg1, final String arg2) {
        if (arg0 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp04]のパラメータ[arg0]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg1 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp04]のパラメータ[arg1]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }
        if (arg2 == null) {
            throw new IllegalArgumentException("メソッド[getMbibrp04]のパラメータ[arg2]にnullが与えられました。しかし、このパラメータにnullを与えることはできません。");
        }

        return "[MBIBRP04] " + fBundle.getMbibrp04(arg0, arg1, arg2);
    }
}
